org.eclipse.jdt.core.refactoring

## Interface IJavaElementMapper

    public interface IJavaElementMapper

An `IJavaElementMapper` provides methods to map an original elements to its refactored counterparts.

An `IJavaElementMapper` can be obtained via `PlatformObject.getAdapter(Class)`.

Since:
  1.1

### Method Summary

All Methods Instance Methods Abstract Methods
`IJavaElement` `getRefactoredJavaElement(IJavaElement element)` Returns the refactored Java element for the given element.

### Method Detail

#### getRefactoredJavaElement

    IJavaElement getRefactoredJavaElement(IJavaElement element)

Returns the refactored Java element for the given element. The returned Java element might not yet exist when the method is called. Note that local variables cannot be mapped using this method.

Parameters:
  `element` - the element to be refactored
Returns:
  the refactored element for the given element